package routes

import (
	"nearle/facade"

	"github.com/gofiber/fiber/v2"
)

func RegisterDeliveriesRoutes(api fiber.Router, f *facade.Facade) {

	deliveries := api.Group("/v1/web/deliveries")

	deliveries.Post("/createdeliveries", f.DeliveriesController.CreateDeliveries)
	deliveries.Put("/updatedelivery", f.DeliveriesController.UpdateDelivery)
	deliveries.Get("/deliverysummary", f.DeliveriesController.GetDeliverySummary)
	deliveries.Get("/getdeliveryinsight", f.DeliveriesController.GetDeliveryInsight)
	deliveries.Get("/getlocationsummary", f.DeliveriesController.GetLocationDeliverySummary)
	deliveries.Get("/getreportsummary", f.DeliveriesController.GetReportSummary)
	deliveries.Get("/getridersummary", f.DeliveriesController.GetRiderSummary)
	deliveries.Get("/getdeliveries", f.DeliveriesController.GetDeliveries)

	deliveries = api.Group("/v1/mob/deliveries")

	deliveries.Get("/deliverysummary", f.DeliveriesController.GetDeliverySummary)
	deliveries.Get("/getdeliveries", f.DeliveriesController.GetDeliveries)
	deliveries.Get("/getdeliveryqueues", f.DeliveriesController.GetDeliveryQueues)
	deliveries.Put("/updatedelivery", f.DeliveriesController.UpdateDelivery)
	deliveries.Post("/createdeliveries", f.DeliveriesController.CreateDeliveries)

}
